package com.salpa.subject.service;

import com.salpa.subject.domain.MonitorSubject;

import java.util.List;

/**
 * @author zhuff
 */
public interface SubjectService {
    
    List<MonitorSubject> getList(Integer pageNum,Integer pageSize,String subjectName);

    MonitorSubject getById(Integer id);

    String checkSubjectNameUnique(String subjectName);

    int addSubject(MonitorSubject monitorSubject);

    int updateSubject(MonitorSubject monitorSubject);

    int deleteSubject(Integer id);
}
